"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareConfig = void 0;
var tslib_1 = require("tslib");
var logger_1 = require("./logger");
/**
 * Prepare the configuration options.
 * @param config - user config
 * @internal
 */
function prepareConfig(config) {
    var cache = {};
    return {
        compile: (0, tslib_1.__assign)({}, config.compile),
        resolve: (0, tslib_1.__assign)({ extensions: ['.ts', '.tsx', '.js', '.cjs', '.mjs'], mainFields: ['browser', 'module', 'import', 'jsnext:main', 'main'], conditionNames: ['browser', 'module', 'import', 'node', 'default'] }, config.resolve),
        cache: (0, tslib_1.__assign)({ disabled: false, provider: {
                get: function (key) { return Promise.resolve(cache[key]); },
                set: function (key, value) { return cache[key] = value; }
            } }, config.cache),
        logLevel: config.logLevel || logger_1.LogLevel.warn,
        cwd: config.cwd || process.cwd()
    };
}
exports.prepareConfig = prepareConfig;
//# sourceMappingURL=options.js.map